Discuss official PS Vita games here
#405783 by mastrez87
Thu Jun 23, 2016 11:53 pm
NotSoTechnical wrote:Odin Sphere Leifthrasir requires firmware 3.57 or higher.

I figured as much, oh well I am glad that I didn't preorder thegame. I was insanely close to buying the preorder ut decided not to as the collectors edition was ps4 only and I was still thinking about picking it up for 60$ I am really gladthat I didn't I wish that there'd be some native vita exploit to fudge firmware versions as I'm not going above 3.51 even though as of yet I've not been able to get rejuvenate to work.
Advertising
#405858 by Ethan W.
Wed Jun 29, 2016 8:35 pm
Would anyone happen to know what fw the new Civilization game requires? Thanks

mastrez87 wrote:I wish that there'd be some native vita exploit to fudge firmware versions


Same brah! It's a real p.i.t.a. trying to get pass the firmware update :x
Advertising
#406193 by suzy_k
Thu Jul 21, 2016 11:30 pm
This is news to me. They can lock you out from playing PSV games based on your firmware? So if I purchase a physical copy of a game I might not be able to play it because I'm not on the right firmware?

Sorry for the off-topic post...
#406194 by Bert960
Fri Jul 22, 2016 1:31 am
suzy_k wrote:This is news to me. They can lock you out from playing PSV games based on your firmware? So if I purchase a physical copy of a game I might not be able to play it because I'm not on the right firmware?

Sorry for the off-topic post...


Yup. That's how it's always been since the PSP days. We were lucky back then to bypass this because of CFW but since the Vita is hard to crack, we're stuck with being forced to sacrifice exploits by updating or investing in other Vitas
#411692 by nihulen
Sat Sep 03, 2016 12:58 pm
Does anyone know what firmware is required to. Play NA hatsun.e m.iku x? Thanks

Who is online

Users browsing this forum: No registered users and 2 guests